﻿using System.Windows;

namespace Shared.AttachedProperties
{
    public static class DialogCloser
    {
        #region Properties

        public static readonly DependencyProperty DialogResultProperty = DependencyProperty.RegisterAttached("DialogResult",
            typeof(bool?), typeof(DialogCloser), new PropertyMetadata(DialogResultChanged));

        #endregion

        #region Functions

        private static void DialogResultChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            var window = d as Window;

            if (window != null)
                window.DialogResult = e.NewValue as bool?;
        }

        public static void SetDialogResult(Window target, bool? value)
        {
            target.SetValue(DialogResultProperty, value);
        }

        #endregion
    }
}
