﻿using System;
using System.Data;

namespace Shared.Models
{
    public class Database
    {
        #region Properties

        public string Name { get; set; }
        public string Title { get; set; }

        #endregion

        #region From Data Row

        /// <summary>
        /// Gets data from the data row.
        /// </summary>
        /// <param name="row">The row.</param>
        /// <returns></returns>
        /// <exception cref="System.ArgumentNullException">row</exception>
        public static Database FromDataRow(DataRow row)
        {
            if (row == null)
                throw new ArgumentNullException("row");

            return new Database()
            {
                Name = Utilities.GetRecordValue<string>(row, "NAME"),
                Title = Utilities.GetRecordValue<string>(row, "TITLE")
            };
        }

        #endregion
    }
}
